Package org.python.core

# Interface PyBuiltinCallable.Info

All Superinterfaces:
  `Serializable`

All Known Implementing Classes:
  `PyBuiltinCallable.DefaultInfo`, `PyClassMethodDescr`, `PyMethodDescr`

Enclosing class:
  `PyBuiltinCallable`

public static interface PyBuiltinCallable.Info extends Serializable

## Method Summary

Modifier and Type
Method
Description
`int`
`getMaxargs()`
`int`
`getMinargs()`
`String`
`getName()`
`PyException`
`unexpectedCall(int nargs, boolean keywords)`

## Method Details

### getName

String getName()

### getMaxargs

int getMaxargs()

### getMinargs

int getMinargs()

### unexpectedCall

PyException unexpectedCall(int nargs, boolean keywords)